<?php
require("../../class/connect.php");
include("../../class/db_sql.php");
include("../../class/config.php");
include("../../class/functions.php");
$link=db_connect();
$empire=new mysqlquery();
$logininid=getcvar('loginuserid');
$loginin=getcvar('loginusername');
$loginrnd=getcvar('loginrnd');
$loginlevel=getcvar('loginlevel');
$editor=1;
is_login($logininid,$loginin,$loginrnd);
//验证权限
CheckLevel($logininid,$loginin,$classid,"shopps");
$enews=$_GET['enews'];
$url="<a href=ListPs.php>管理配送方式</a>&nbsp;->&nbsp;增加配送方式";
if($enews=="EditPs")
{
	$pid=(int)$_GET['pid'];
	$r=$empire->fetch1("select pname,price,otherprice,psay from {$dbtbpre}enewsshopps where pid='$pid'");
	$url="<a href=ListPs.php>管理配送方式</a>&nbsp;->&nbsp;修改配送方式：<b>".$r[pname]."</b>";
}
//--------------------html编辑器
$htmlareacode="<script type=\"text/javascript\">
      _editor_url = \"../editor\";
      _editor_lang = \"en\";
    </script>

<script type=\"text/javascript\" src=\"../editor/htmlareatemplate.php\"></script>
<script type=\"text/javascript\" src=\"../editor/plugins/FullPage/full-page.js\"></script>
<script type=\"text/javascript\" src=\"../editor/plugins/FullPage/lang/en.js\"></script>

<script type=\"text/javascript\">
//HTMLArea.loadPlugin(\"FullPage\");

var editor = null;
function initEditor() {
editor = new HTMLArea(\"psay\");
editor.registerPlugin(FullPage);

editor.generate();
return false;
}

function InsertFile(html) {
	editor.insertHTML(html);
}
    </script>";
db_close();
$empire=null;
//风格
$loginadminstyleid=(int)getcvar('loginadminstyleid');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<link href="../adminstyle/<?=$loginadminstyleid?>/adminstyle.css" rel="stylesheet" type="text/css">
<title>配送方式</title>
<?=$htmlareacode?>
<script>
function on()
{
var f=document.add
f.HTML.value=f.psay.value;
}
function bs(){
var f=document.add
f.psay.value=f.HTML.value;
}
function br(){
if(!confirm("是否复位？")){return false;}
document.add.title.select()
}
</script>
</head>

<body onload="initEditor()">
<table width="100%" border="0" align="center" cellpadding="3" cellspacing="1">
  <tr>
    <td>位置：<?=$url?></td>
  </tr>
</table>
<form name="add" method="post" action="ListPs.php">
  <table width="100%" border="0" align="center" cellpadding="3" cellspacing="1" class="tableborder">
    <tr class="header"> 
      <td width="21%" height="25">增加配送方式</td>
      <td width="79%" height="25"><input name="enews" type="hidden" id="enews" value="<?=$enews?>"> 
        <input name="pid" type="hidden" id="pid" value="<?=$pid?>"></td>
    </tr>
    <tr bgcolor="#FFFFFF"> 
      <td height="25">方式名称:</td>
      <td height="25"><input name="pname" type="text" id="pname" value="<?=$r[pname]?>">
        (如:普通邮递) </td>
    </tr>
    <tr bgcolor="#FFFFFF"> 
      <td height="25">运费金额:</td>
      <td height="25"><input name="price" type="text" id="price" value="<?=$r[price]?>" size="8">
        元</td>
    </tr>
    <tr bgcolor="#FFFFFF"> 
      <td height="25" valign="top">详细说明:</td>
      <td height="25">
		<textarea id="psay" name="psay" style="height:40em; width:100%;"><?=htmlspecialchars($r[psay])?></textarea>
      </td>
    </tr>
    <tr bgcolor="#FFFFFF"> 
      <td height="25">&nbsp;</td>
      <td height="25"> <input type="submit" name="Submit" value="提交"> <input type="reset" name="Submit2" value="重置"></td>
    </tr>
  </table>
</form>
</body>
</html>
